Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class MessageDigest

    java.lang.Object
      |
      +--java.security.MessageDigestSpi
            |
            +--java.security.MessageDigest

Direct Known Subclasses:
  cryptix.provider.md.BlockMessageDigest, HAVAL, HMAC, MD2, MD4, RIPEMD128, RIPEMD160

public abstract synchronized class MessageDigest
extends MessageDigestSpi

Constructor Summary
`protected` | `MessageDigest(String)`

Method Summary
`Object` | `clone()`
`byte[]` | `digest()`
`byte[]` | `digest(byte[])`
`int` | `digest(byte[], int, int)`
`String` | `getAlgorithm()`
`int` | `getDigestLength()`
`static MessageDigest` | `getInstance(String)`
`static MessageDigest` | `getInstance(String, String)`
`Provider` | `getProvider()`
`static boolean` | `isEqual(byte[], byte[])`
`void` | `reset()`
`String` | `toString()`
`void` | `update(byte)`
`void` | `update(byte[])`
`void` | `update(byte[], int, int)`

Methods inherited from class java.security.MessageDigestSpi
`engineDigest, engineDigest, engineGetDigestLength, engineReset, engineUpdate, engineUpdate`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageDigest

    protected MessageDigest(String)

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Overrides:
    clone in class MessageDigestSpi

### digest

    public byte[] digest()

### digest

    public byte[] digest(byte[])

### digest

    public int digest(byte[],
                      int,
                      int)
               throws DigestException

### getAlgorithm

    public final String getAlgorithm()

### getDigestLength

    public final int getDigestLength()

### getInstance

    public static MessageDigest getInstance(String)
                                     throws NoSuchAlgorithmException

### getInstance

    public static MessageDigest getInstance(String,
                                            String)
                                     throws NoSuchAlgorithmException,
                                            NoSuchProviderException

### getProvider

    public final Provider getProvider()

### isEqual

    public static boolean isEqual(byte[],
                                  byte[])

### reset

    public void reset()

### toString

    public String toString()

  Overrides:
    toString in class Object

### update

    public void update(byte)

### update

    public void update(byte[])

### update

    public void update(byte[],
                       int,
                       int)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.